Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-19821

Perl executable for "perl;" snippet must match the perl executable that runs mtr.

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 10.1, 10.2, 10.3, 10.4, 10.5, 5.5
    • Fix Version/s: 10.2.26, 10.3.17, 10.4.7
    • Component/s: Tests
    • Labels:
      None

      Description

      With presence of multiple perls, funny problems may arise.

      For example, on Windows, there are possibly different Perls on PATH, and some maybe native
      like Strawberry, while some maybe fake-Unix like cygwin/msys/git

      fake Unix ones are not able to execute simplest scripts, thus it is important for the perl to match

        Attachments

          Activity

            People

            Assignee:
            wlad Vladislav Vaintroub
            Reporter:
            wlad Vladislav Vaintroub
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: